Subject: Re: bug#7944: Should AM_PATH_PYTHON call AC_ARG_VAR?

From: Stefano Lattarini <[email-masked]>
Date: Tue, 1 Feb 2011 00:04:32 +0100

On Monday 31 January 2011, Jack Kelly wrote:
> On Tue, Feb 1, 2011 at 7:31 AM, Stefano Lattarini
> <[email-masked]> wrote:
> > On Monday 31 January 2011, Jack Kelly wrote:
> >> I've noticed that if you put AM_PATH_PYTHON in configure.ac, it
> >> doesn't add an entry for PYTHON in ./configure --help. Is PYTHON meant
> >> to be a user's variable?
> > According to the comments in `m4/python.m4' and to the tests
> > `python{4,6,11}.test', it is (and I think that's a good policy).
> > Documenting the fact in the configure help screen and in the
> > manual would be a good idea too.  What about the attached patch?
> 
> Looks good to me, bar the following nit:
> 
> doc/automake.texi:
> +If @var{action-if-not-found} is not specified, as in the following example
> +, the default is to abort @command{configure}.
> 
> Should the comma be on the previous line?
>
Yes, thanks for pointing it out.  Consider that fixed.

> > BTW, Jack, are you the same Jack Kelly already listed in THANKS
> > ("Jack Kelly <[email-masked]>")?  If yes, should we update
> > your e-mail address?
> 
> Yes I am, and yes please.
>
Will do.

> -- Jack

Regards,
  Stefano